> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-response-codes.md).

# ACH Response Codes

ACH response codes indicate the status of your ACH transaction requests.

The following table lists all ACH response codes, their corresponding HTTP status codes, and error messages:

<table><thead><tr><th width="261.79998779296875" valign="top">Error Type</th><th width="124.2000732421875" valign="top">Result Code</th><th width="166" valign="top">HTTP Status Code</th><th valign="top">Error Message</th></tr></thead><tbody><tr><td valign="top">TRANSACTION_ERROR</td><td valign="top">280</td><td valign="top">400</td><td valign="top">Transaction failed</td></tr><tr><td valign="top">VOID_ERROR</td><td valign="top">281</td><td valign="top">400</td><td valign="top">Void failed. Cannot void ach transactions that are returned or settled.</td></tr><tr><td valign="top">VOID_ERROR_CANNOT_FIND_STORED_ACCOUNT_INFO</td><td valign="top">281</td><td valign="top">400</td><td valign="top">Void failed. Cannot find account info</td></tr><tr><td valign="top">AUTHORIZATION_ERROR</td><td valign="top">282</td><td valign="top">400</td><td valign="top">Authorization failed</td></tr><tr><td valign="top">ACCOUNT_VALIDATION_ERROR</td><td valign="top">283</td><td valign="top">400</td><td valign="top">Validation failed</td></tr><tr><td valign="top">ACCOUNT_NOT_CONFIGURED_ERROR</td><td valign="top">284</td><td valign="top">400</td><td valign="top">ACH Account not found</td></tr><tr><td valign="top">ACCOUNT_DISABLED_ERROR</td><td valign="top">285</td><td valign="top">400</td><td valign="top">ACH Account is disabled</td></tr><tr><td valign="top">ACCOUNT_DISABLED_FOR_SECCODE</td><td valign="top">285</td><td valign="top">400</td><td valign="top">ACH Account disabled for Sec Code</td></tr><tr><td valign="top">UNACCOUNTED_ERROR</td><td valign="top">286</td><td valign="top">400</td><td valign="top">An error occurred we did not account for</td></tr><tr><td valign="top">TRANSACTION_NOT_FOUND</td><td valign="top">287</td><td valign="top">404</td><td valign="top">Transaction not found</td></tr><tr><td valign="top">REQUEST_FAILED</td><td valign="top">288</td><td valign="top">400</td><td valign="top">Request failed</td></tr><tr><td valign="top">PROVIDER_ERROR</td><td valign="top">289</td><td valign="top">400</td><td valign="top">Provider failed</td></tr><tr><td valign="top">QUEUE_ERROR</td><td valign="top">290</td><td valign="top">500</td><td valign="top">Transaction Failed</td></tr><tr><td valign="top">PROVIDER_INTERNAL_ERROR</td><td valign="top">291</td><td valign="top">400</td><td valign="top">Ach Provider returned an internal error.</td></tr><tr><td valign="top">SETTLED_DATA_EMPTY</td><td valign="top">292</td><td valign="top">404</td><td valign="top">Transaction not found</td></tr><tr><td valign="top">RETURNED_DATA_EMPTY</td><td valign="top">293</td><td valign="top">404</td><td valign="top">Transaction not found</td></tr><tr><td valign="top">PROVIDER_SERVICE_UNAVAILABLE</td><td valign="top">294</td><td valign="top">500</td><td valign="top">Ach Provider service is unavailable.</td></tr><tr><td valign="top">ACH_TRANSACTION_WAREHOUSE_SERVICE_UNAVAILABLE</td><td valign="top">295</td><td valign="top">500</td><td valign="top">Clearent Ach Warehouse service is unavailable.</td></tr><tr><td valign="top">ACH_TOKEN_DECRYPTION_ERROR</td><td valign="top">296</td><td valign="top">400</td><td valign="top">Unable to decrypt token.</td></tr><tr><td valign="top">ACH_TOKEN_LOOKUP_ERROR</td><td valign="top">296</td><td valign="top">400</td><td valign="top">Unable to query token data</td></tr><tr><td valign="top">INVALID_REQUEST</td><td valign="top">074</td><td valign="top">400</td><td valign="top">First Name Required<br><br><em>The following characters are not allowed in the first name field:</em><br><code>', +, (, ), *</code><br><em>This restriction is enforced by PAYA.</em></td></tr><tr><td valign="top">GET_NOT_FOUND</td><td valign="top">082</td><td valign="top">404</td><td valign="top">Merchant configuration not found</td></tr><tr><td valign="top">PAYA_ACCOUNT_NOT_FOUND</td><td valign="top">082</td><td valign="top">404</td><td valign="top">Paya account not found</td></tr><tr><td valign="top">NO_BODY_IN_REQUEST_088</td><td valign="top">088</td><td valign="top">400</td><td valign="top">No body in request</td></tr><tr><td valign="top">FAILED_TO_PROCESS_HPP_REQUEST</td><td valign="top">880</td><td valign="top">400</td><td valign="top">Failed to process hpp request.</td></tr><tr><td valign="top">UNAUTHORIZED</td><td valign="top">042</td><td valign="top">401</td><td valign="top">Unauthorized</td></tr><tr><td valign="top">SYSTEM_ERROR_OTHER_073</td><td valign="top">073</td><td valign="top">500</td><td valign="top">System Error Other</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-response-codes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
